Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/schema_changed.sh')
-rwxr-xr-xscripts/schema_changed.sh40
1 files changed, 18 insertions, 22 deletions
diff --git a/scripts/schema_changed.sh b/scripts/schema_changed.sh
index f564f717e95..2fcb85df75b 100755
--- a/scripts/schema_changed.sh
+++ b/scripts/schema_changed.sh
@@ -1,25 +1,21 @@
#!/bin/sh
-schema_changed() {
- if [ ! -z "$(git diff --name-only -- db/structure.sql)" ]; then
- printf "Schema changes are not cleanly committed to db/structure.sql\n"
- printf "The diff is as follows:\n"
- diff=$(git diff -p --binary -- db/structure.sql)
- printf "%s" "$diff"
- exit 1
- else
- printf "Schema changes are correctly applied to db/structure.sql\n"
- fi
+if [ -n "$(git diff --name-only -- db/structure.sql)" ]; then
+ printf "Schema changes are not cleanly committed to db/structure.sql\n"
+ printf "The diff is as follows:\n"
+ diff=$(git diff -p --binary -- db/structure.sql)
+ printf "%s" "$diff"
+ exit 1
+else
+ printf "Schema changes are correctly applied to db/structure.sql\n"
+fi
- if [ ! -z "$(git add -A -n db/schema_migrations)" ]; then
- printf "Schema version files have not been committed to the repository:\n"
- printf "The following files should be committed:\n"
- diff=$(git add -A -n db/schema_migrations)
- printf "%s" "$diff"
- exit 2
- else
- printf "Schema changes are correctly applied to db/structure.sql and db/schema_migrations/\n"
- fi
-}
-
-schema_changed
+if [ -n "$(git add -A -n db/schema_migrations)" ]; then
+ printf "Schema version files have not been committed to the repository:\n"
+ printf "The following files should be committed:\n"
+ diff=$(git add -A -n db/schema_migrations)
+ printf "%s" "$diff"
+ exit 2
+else
+ printf "Schema changes are correctly applied to db/structure.sql and db/schema_migrations/\n"
+fi